## PlumaPlugin

PlumaPlugin

## Functions

void | pluma_plugin_activate ()
void | pluma_plugin_deactivate ()
void | pluma_plugin_update_ui ()
gboolean | pluma_plugin_is_configurable ()
GtkWidget * | pluma_plugin_create_configure_dialog ()
#define | PLUMA_PLUGIN_REGISTER_TYPE()

## Properties

gchar * | data-dir | Read
gchar * | data-dir-name | Write / Construct Only
gchar * | install-dir | Read / Write / Construct Only

## Types and Values

struct | PlumaPlugin

## Object Hierarchy

        GObject
        ╰── PlumaPlugin

## Description

## Functions

### pluma_plugin_activate ()

    void
    pluma_plugin_activate (PlumaPlugin *plugin,
                           PlumaWindow *window);

Activates the plugin.

#### Parameters

plugin | a PlumaPlugin |
window | a PlumaWindow |

### pluma_plugin_deactivate ()

    void
    pluma_plugin_deactivate (PlumaPlugin *plugin,
                             PlumaWindow *window);

Deactivates the plugin.

#### Parameters

plugin | a PlumaPlugin |
window | a PlumaWindow |

### pluma_plugin_update_ui ()

    void
    pluma_plugin_update_ui (PlumaPlugin *plugin,
                            PlumaWindow *window);

Triggers an update of the user interface to take into account state changes caused by the plugin.

#### Parameters

plugin | a PlumaPlugin |
window | a PlumaWindow |

### pluma_plugin_is_configurable ()

    gboolean
    pluma_plugin_is_configurable (PlumaPlugin *plugin);

Whether the plugin is configurable.

#### Parameters

plugin | a PlumaPlugin |

#### Returns

TRUE if the plugin is configurable:

### pluma_plugin_create_configure_dialog ()

    GtkWidget *
    pluma_plugin_create_configure_dialog (PlumaPlugin *plugin);

Creates the configure dialog widget for the plugin.

#### Parameters

plugin | a PlumaPlugin |

#### Returns

the configure dialog widget for the plugin.

### PLUMA_PLUGIN_REGISTER_TYPE()

    #define             PLUMA_PLUGIN_REGISTER_TYPE(PluginName, plugin_name)

## Types and Values

### struct PlumaPlugin

    struct PlumaPlugin;

## Property Details

### The `“data-dir”` property

      “data-dir”                 gchar *

The full path of the directory where the plugin should look for its data files.

Flags: Read

Default value: NULL

### The `“data-dir-name”` property

      “data-dir-name”            gchar *

The basename of the directory where the plugin should look for its data files.

Flags: Write / Construct Only

Default value: NULL

### The `“install-dir”` property

      “install-dir”              gchar *

The directory where the plugin is installed.

Flags: Read / Write / Construct Only

Default value: NULL